<!DOCTYPE html>
<html lang="fr">
    <head>
        <title>Framanotes</title>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Language" content="fr">
        <link href="https://framasoft.org/nav/lib/bootstrap/css/bootstrap.min.css" media="all" rel="stylesheet">
        <meta name="viewport" content="initial-scale=1.0" />
        <link href="css/style.css" media="all" rel="stylesheet">
        <script src="https://framasoft.org/nav/lib/jquery/jquery.min.js" type="text/javascript"></script>
        <script src="js/script.js" type="text/javascript"></script>
    </head>
    <body class="fb_g2">
        <script src="https://framasoft.org/nav/nav.js" type="text/javascript"></script>
        <div class="container ombre">
            <header role="banner">
                <h1><b class="violet">Frama</b><b class="vert">notes</b></h1>
                <p class="lead">Emmenez vos notes avec vous, partout, tout le temps</p>
                <hr class="trait" role="presentation" />
            </header>

            <main>
                <div class="row">
                    <div class="col-md-12">
                        <div id="carousel-board" class="carousel slide" role="presentation">
                            <div class="carousel-inner">
                                <div class="item active">
                                    <img src="img/notes-01-slide-creer-compte.png" alt="creation d'un compte framanotes" />
                                    <div class="carousel-caption">
                                        <p class="h3">
                                            Créez-vous un compte <strong><span class="frama">Frama</span><span class="vert">notes</span></strong>
                                        </p>
                                    </div>
                                </div>
                                <div class="item">
                                    <img src="img/notes-02-slide-noter-mdp.png" alt="avertissement notez votre mot de passe" />
                                    <div class="carousel-caption">
                                        <p class="h3">Notez votre mot de passe, car <strong>nous ne pourrons pas le retrouver/modifier</strong></p>
                                    </div>
                                </div>
                                <div class="item">
                                    <img src="img/notes-03-slide-dl-apps.png" alt="page de téléchargement des applications" />
                                    <div class="carousel-caption">
                                        <p class="h3">Téléchargez et installez les applications pour vos machines.</p>
                                    </div>
                                </div>
                                <div class="item">
                                    <img src="img/notes-04-slide-prendre-notes.png" alt="un exemple de notes" />
                                    <div class="carousel-caption">
                                        <p class="h3">Vos notes sont automatiquement chiffrées et synchronisées.</p>
                                    </div>
                                </div>
                            </div><!-- /.carousel-inner -->

                            <!-- Controls -->
                            <p class="text-center" id="play-pause"><a href="#play-pause" class="carousel-control" title="Pause"><span class="glyphicon glyphicon-pause"></span><span class="sr-only">Pause</span></a></p>

                            <a class="left carousel-control" href="#carousel-board" role="button" data-slide="prev" title="Diapo précédente">
                                <i class="glyphicon glyphicon-chevron-left"></i><span class="sr-only">Diapo précédente</span>
                            </a>

                            <a class="right carousel-control" href="#carousel-board" role="button" data-slide="next" title="Diapo suivante">
                                <i class="glyphicon glyphicon-chevron-right"></i><span class="sr-only">Diapo suivante</span>
                            </a>
                        </div><!-- /.carousel -->
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-8 col-md-offset-2">
                        <div class="alert alert-danger text-center">
                            <h4>ATTENTION : nous n’avons aucun moyen de retrouver ou modifier votre mot de passe.</h4>
                            <p>
                                En effet, vos notes sont chiffrées et déchiffrées à l’aide de votre mot de passe.<br>
                                Ne pas pouvoir le retrouver est le prix de cette sécurité, donc notez-le bien.
                            </p>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="col-sm-4 text-center">
                            <a href="#info" class="btn btn-success">
                                <i class="fa fa-lg fa-info-circle"></i> Qu’est-ce que c’est ? »
                            </a>
                        </div>
                        <div class="col-sm-4 text-center">
                            <a href="#download" class="btn btn-info">
                                <i class="fa fa-lg fa-download"></i> Télécharger et utiliser les applications »
                            </a>
                        </div>
                        <div class="col-sm-4 text-center">
                            <a href="https://mes.framanotes.org" class="btn btn-primary">
                                <i class="fa fa-lg fa-user"></i> Se créer un compte / se connecter »
                            </a>
                        </div>
                    </div>
                </div>

                <div class="info-block">
                    <div class="row" id="info">
                        <div class="col-md-8 col-md-offset-2">
                            <h2>Qu’est-ce que c’est ?</h2>
                            <p>
                                <b class="violet">Frama</b><b class="vert">notes</b> vous permet de
                                prendre différents types de notes (texte, images, adresses web, mots de passe…).
                                Grâce aux différentes <a href="https://turtlapp.com/download/">applications disponibles</a> (encore non traduites),
                                vous retrouverez vos notes sur tous vos appareils !
                            </p>
                            <p>
                                Les notes sont chiffrées et déchiffrées depuis les applications (ou l’interface web)
                                par votre mot de passe, vous assurant une confidentialité totale.
                                En contrepartie, <strong>il n’est pas possible de retrouver un mot de passe perdu !</strong><br>
                                <strong>Notez-le bien</strong>, nous ne pourrons pas vous aider si vous le perdez.
                            </p>
                            <p>
                                <b class="violet">Frama</b><b class="vert">notes</b> vous permet de :
                                <ul>
                                    <li>Créer &amp; modifier des notes textes au format Markdown<br>
                                        Donc créer aisément des listes à puces, avec titres, gras et italique </li>
                                    <li>Créer &amp; modifier des notes images (jusqu’à 2 Mo par fichier)</li>
                                    <li>Créer &amp; modifier des notes fichiers (jusqu’à 2 Mo par fichier)</li>
                                    <li>Créer &amp; modifier des notes marque-pages (adresses web)</li>
                                    <li>Noter vos mots de passe<br>
                                        <b>Attention !</b> Nous déconseillons d'utiliser cette fonctionnalité (voir plus bas)</li>
                                    <li>Trier vos notes par un système d’étiquettes (tags)</li>
                                    <li>Rechercher dans vos notes (indexation)</li>
                                    <li>Rassembler vos notes dans des tableaux</li>
                                    <li>Partager un ou des tableaux avec vos ami·e·s (qui sont sur Framanotes)</li>
                                </ul>
                                Nous ne vous conseillons pas d'utiliser Framanotes pour stocker des mots de passe confidentiels. En effet, Turtl,
                                le logiciel faisant fonctionner Framanotes, ne remplit pas les impératifs de sécurité que l'on doit attendre
                                d'un gestionnaire de mot de passe.
                            </p>
                            <p class="text-center">
                                <a href="https://mes.framanotes.org" class="btn btn-primary">Se créer un compte / se connecter</a>
                            </p>
                        </div>
                    </div>
                    <div class="row" id="download">
                        <div class="col-md-8 col-md-offset-2">
                            <h2>Télécharger et utiliser les applications</h2>
                            <p>
                                <b class="violet">Frama</b><b class="vert">notes</b> repose sur le logiciel libre <a href="https://turtlapp.com/">Turtl</a>.
                            </p>
                            <p>
                                Turtl est prévu pour fonctionner avec des <a href="https://turtlapp.com/download/">applications</a> (et non dans un navigateur).
                            </p>
                            <p>
                                Pour utiliser le serveur Framanotes dans les applications, dépliez les « Paramètres avancés » (« Advanced settings ») de l’écran et indiquez <code>https://api.framanotes.org</code> pour l’URL du serveur.
                                C’est tout ! Il ne vous reste plus qu’à indiquer votre identifiant et votre mot de passe.
                            </p>
                            <p>
                                Toutefois, les applications étant codées en Javascript, nous avons essayé de mettre leur code sur un serveur web… et ça marche !
                                Cela fonctionne parfaitement bien avec Chrome et Chromium, correctement avec Firefox, et peu (ou pas du tout) avec Internet Explorer et Edge.<br>
                                Vous pouvez donc retrouver vos notes depuis un bon navigateur sur <a href="https://mes.framanotes.org">https://mes.framanotes.org</a>.
                            </p>
                            <h4>Bonus</h4>
                            <p>
                                Vous retrouverez sur la page de téléchargement des <a href="https://turtlapp.com/download/">applications</a> des extensions pour <a href="https://chrome.google.com/webstore/detail/turtl/dgcojenhfdjhieoglmiaheihjadlpcml">Chrome/Chromium</a> et <a href="https://addons.mozilla.org/en-US/firefox/addon/turtl/">Firefox</a>.<br>
                                Ces extensions vous permettront d’ajouter un marque-page dans Framanotes en un clic (ne fonctionne que si vous avez une des applications installée, les extensions ne fonctionnent pas avec la version web).
                            </p>
                            <h4>Mini-tuto</h4>
                            <p>
                                Pour installer l’application GNU/Linux, téléchargez l’application qui sied à votre système (32 ou 64 bits) sur <a href="https://turtlapp.com/download/">https://turtlapp.com/download/</a>, puis :
                                <pre><code># Décompressez-la
tar xvf turtl-linux64-0.6.4.tar.bz2
#Allez dans le dossier créé
cd turtl-linux64
#Lancez l’installation
sudo ./install.sh
#Il y a un bug dans l'installeur qui nécessite une petite manipulation supplémentaire :
sudo find /opt/turtl/ -perm 700 -exec chmod 755 '{}' \;
sudo find /opt/turtl/ -perm 600 -exec chmod 644 '{}' \;</code></pre>
                                    </li>
                                </ul>
                            </p>
                        </div>
                    </div>
                </div>

                <hr role="presentation" />

                <div class="row">

                    <div class="col-md-4" id="tuto-video">
                        <h2>Comment ça marche ?</h2>
                        <p class="text-center" role="presentation"><i class="glyphicon glyphicon-question-sign"></i></p>
                        <ol>
                            <li>Créez-vous un compte sur <a href="https://mes.framanotes.org">https://mes.framanotes.org</a> (et notez bien le mot de passe) ou directement depuis une des <a href="https://turtlapp.com/download/">applications</a></li>
                            <li>Cliquez sur le bouton « + » en bas à droite pour créer une note (le texte est au format <a href="https://fr.wikipedia.org/wiki/Markdown">Markdown</a>, une aide est disponible)</li>
                            <li>Ajoutez-y des étiquettes en cliquant sur l’étiquette en bas à gauche du formulaire d’édition de la note.</li>
                            <li>Organisez vos notes en créant des tableaux : allez sur l’onglet « Tableaux » et cliquez sur le bouton « + » en bas à droite pour créer un tableau. Vous pourrez associer une note à un tableau depuis l’interface de création ou d’édition de celle-ci.</li>
                        </ol>
                    </div>

                    <div class="col-md-4" id="le-logiciel">
                        <h2>Le logiciel</h2>
                        <p class="text-center" role="presentation"><i class="glyphicon glyphicon-cloud"></i></p>
                        <p><b class="violet">Frama</b><b class="vert">notes</b> repose sur le logiciel libre <a href="https://turtlapp.com/">Turtl</a>.</p>
                        <p>Turtl est sous <a href="https://github.com/turtl/api/blob/master/LICENSE">licence AGPLv3</a> pour le serveur et <a href="https://github.com/turtl/js/blob/master/LICENSE">GPLv3</a> pour l’interface.</p>
                        <p>Retrouvez nos adaptations sur <a href="https://framagit.org"><b class="violet">Frama</b><b class="vert">git</b></a> : <a href="https://framagit.org/framasoft/framanotes-api">Serveur</a> et <a href="https://framagit.org/framasoft/framanotes-js">Interface</a>.
                    </div>

                    <div class="col-md-4" id="jardin">
                        <h2>Cultivez votre jardin</h2>
                        <p class="text-center" role="presentation"><i class="glyphicon glyphicon-tree-deciduous"></i></p>
                        <p>Pour participer au développement du logiciel, proposer des améliorations
                            ou simplement le télécharger, rendez-vous sur <a href="https://github.com/turtl/api/">le site de développement</a>.</p>
                        <br>
                        <p>Si vous souhaitez installer ce logiciel pour votre propre usage et ainsi gagner en autonomie, nous vous aidons sur :</p>
                        <p class="text-center"><a href="http://framacloud.org/cultiver-son-jardin/installation-de-turtl/" class="btn btn-success"><i class="glyphicon glyphicon-tree-deciduous"></i> framacloud.org</a></p>
                    </div>
                </div>
            </main>
        </div>
    </body>
</html>
